%global _hardened_build 1
%global _sbindir /sbin

Summary:        Random number generator related utilities
Name:           rng-tools
Version:        6.17
Release:        %mkrel 2
Group:          System/Base
License:        GPLv2+
URL:            https://github.com/nhorman/rng-tools
Source0:        https://github.com/nhorman/rng-tools/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        rngd.service

BuildRequires:  gettext
BuildRequires:  libgcrypt-devel
BuildRequires:  libsysfs-devel
BuildRequires:  pkgconfig(jansson)
BuildRequires:  pkgconfig(libcap)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libp11)
BuildRequires:  pkgconfig(librtlsdr)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  systemd-units
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units

%description
Hardware random number generation tools.

%prep
%autosetup -p1

%build
NOCONFIGURE=1 ./autogen.sh
%configure
%make_build

%install
%make_install

# install systemd unit file
mkdir -p %{buildroot}%{_unitdir}
install -m 644 %{SOURCE1} %{buildroot}%{_unitdir}

%post
%_post_service rngd

%preun
%_preun_service rngd

%postun
%_postun_service rngd

%files
%license COPYING
%doc AUTHORS NEWS README
%{_bindir}/randstat
%{_bindir}/rngtest
%{_sbindir}/rngd
%{_mandir}/man1/rngtest.1.*
%{_mandir}/man8/rngd.8.*
%attr(0644,root,root) %{_unitdir}/rngd.service


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 6.17-2.mga10
+ Revision: 2224318
- Mageia 10 Mass Rebuild

* Wed Jun 05 2024 daviddavid <daviddavid> 6.17-1.mga10
+ Revision: 2070110
- new version: 6.17

* Mon Feb 26 2024 daviddavid <daviddavid> 6.16-2.mga10
+ Revision: 2044313
- rebuild for new rtl-sdr 2.0.1

* Sun Jan 29 2023 daviddavid <daviddavid> 6.16-1.mga9
+ Revision: 1936728
- new version: 6.16

* Thu Nov 24 2022 daviddavid <daviddavid> 6.15-1.mga9
+ Revision: 1910819
- new version: 6.15

* Sat Mar 26 2022 umeabot <umeabot> 6.12-3.mga9
+ Revision: 1827786
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 6.12-2.mga9
+ Revision: 1747553
- rebuild for openssl 3.0.0

* Sat Mar 13 2021 daviddavid <daviddavid> 6.12-1.mga9
+ Revision: 1701939
- new version: 6.12

* Mon Mar 01 2021 daviddavid <daviddavid> 6.11-1.mga9
+ Revision: 1694830
- new version: 6.11

* Tue Mar 31 2020 daviddavid <daviddavid> 6.10-1.mga8
+ Revision: 1562665
- new version: 6.10

* Thu Feb 20 2020 umeabot <umeabot> 6.9-2.mga8
+ Revision: 1546022
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 daviddavid <daviddavid> 6.9-1.mga8
+ Revision: 1485700
- new version: 6.9
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Mar 06 2019 daviddavid <daviddavid> 6.7-1.mga7
+ Revision: 1371954
- new version: 6.7

* Wed Jan 02 2019 daviddavid <daviddavid> 6.6-1.mga7
+ Revision: 1348577
- new version: 6.6

* Wed Oct 10 2018 daviddavid <daviddavid> 6.3.1-1.mga7
+ Revision: 1319287
- new version: 6.3.1

* Wed Oct 10 2018 daviddavid <daviddavid> 6.3-2.mga7
+ Revision: 1319277
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 daviddavid <daviddavid> 6.3-1.mga7
+ Revision: 1254325
- new version: 6.3

* Tue Feb 27 2018 daviddavid <daviddavid> 6.1-1.mga7
+ Revision: 1205455
- new version: 6.1
- update URL and Source URL

* Thu Jun 23 2016 neoclust <neoclust> 5-1.mga6
+ Revision: 1037373
- imported package rng-tools

